Rotate keys
Rotate the proxy_key (which=proxy) or the signing_secret (which=signing). Returned once.
POST
/api/projects/{id}/keys/rotate
Authentication
API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Example:
"abc123"Query Parameters
which
string
required
query
Responses
200
New key/secret (shown once)
application/jsonAny of:
Option 1
proxy_key
string
REQUIRED
Option 2
signing_secret
string
REQUIRED
404
Not found
curl -X POST 'https://motioness.com/api/projects/abc123/keys/rotate?which=proxy'
const response = await fetch('https://motioness.com/api/projects/abc123/keys/rotate?which=proxy', { method: 'POST'});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://motioness.com/api/projects/abc123/keys/rotate?which=proxy')print(response.json())
200
Response
{ "proxy_key": "<string>"}
API Playground
Try this endpoint
POST
/api/projects/{id}/keys/rotate